com.digi.xbee.api.exceptions

## Class InvalidOperatingModeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.digi.xbee.api.exceptions.XBeeException
      - - com.digi.xbee.api.exceptions.XBeeDeviceException
        - - com.digi.xbee.api.exceptions.InvalidOperatingModeException

- All Implemented Interfaces:
    Serializable

      public class InvalidOperatingModeException
      extends XBeeDeviceException

  This exception will be thrown when performing any action with the XBee device and its operating mode is different than `OperatingMode.API` and `OperatingMode.API_ESCAPE`.
  See Also:
    `XBeeDeviceException`, `OperatingMode`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidOperatingModeException()` Creates an `InvalidOperatingModeException` with as its error detail message.
    `InvalidOperatingModeException(OperatingMode mode)` Creates an `InvalidOperatingModeException` with the specified operating mode.
    `InvalidOperatingModeException(String message)` Creates an `InvalidOperatingModeException` with the specified message.
    `InvalidOperatingModeException(String message, Throwable cause)` Creates an `InvalidOperatingModeException` with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class com.digi.xbee.api.exceptions.XBeeException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidOperatingModeException

          public InvalidOperatingModeException()

      Creates an `InvalidOperatingModeException` with as its error detail message.

    - #### InvalidOperatingModeException

          public InvalidOperatingModeException(OperatingMode mode)

      Creates an `InvalidOperatingModeException` with the specified operating mode.
      Parameters:
        `mode` - The unsupported operating mode.
      See Also:
        `OperatingMode`

    - #### InvalidOperatingModeException

          public InvalidOperatingModeException(String message)

      Creates an `InvalidOperatingModeException` with the specified message.
      Parameters:
        `message` - The associated message.

    - #### InvalidOperatingModeException

          public InvalidOperatingModeException(String message,
                                       Throwable cause)

      Creates an `InvalidOperatingModeException` with the specified message and cause.
      Parameters:
        `message` - The associated message.
        `cause` - The cause of this exception.
      See Also:
        `Throwable`

© Copyright 2014–2014 Digi International Inc. All rights reserved.